Format a CWT credential as a PDF
Roles
Analytics Events
/v2/credentials/compact-semantic/pdfReturns a PDF representation of a provided CWT credential based on an existing PDF template.
Analytic events
- CREDENTIAL_COMPACT_SEMANTIC_PDF_CREATE_START
- CREDENTIAL_COMPACT_SEMANTIC_PDF_CREATE_SUCCESS
- CREDENTIAL_COMPACT_SEMANTIC_PDF_CREATE_FAIL
Authorization
bearerAuth In: header
Request Body
application/json
The credential payload
Use the ID element of the PDF template to be used to format this credential.
1 <= lengthString payload representation of the encoded CWT credential.
1 <= length <= 1024Response Body
application/pdf
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v2/credentials/compact-semantic/pdf" \ -H "Content-Type: application/json" \ -d '{ "templateId": "4eea7654-d4c5-4eba-bd7a-5ca334d54725", "payload": "{payload}" }'null{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Format a Semantic CWT credential as a QR code POST
Returns a QR code representation of a Semantic CWT credential from a provided encoded string representation of that credential. ### **Analytic events** * CREDENTIAL_COMPACT_SEMANTIC_QRCODE_CREATE_START * CREDENTIAL_COMPACT_SEMANTIC_QRCODE_CREATE_SUCCESS * CREDENTIAL_COMPACT_SEMANTIC_QRCODE_CREATE_FAIL
Format a Semantic CWT credential as an Apple Pass POST
Returns an Apple Pass representation of a provided Semantic CWT credential based on an existing Apple Pass template. <Callout> The request will fail if the provided credential isn't valid or has expired. </Callout> ### **Analytic events** * CREDENTIAL_COMPACT_SEMANTIC_APPLE_PASS_CREATE_START * CREDENTIAL_COMPACT_SEMANTIC_APPLE_PASS_CREATE_SUCCESS * CREDENTIAL_COMPACT_SEMANTIC_APPLE_PASS_CREATE_FAIL